/*
    Copyright (C) 1998  Michael Ravits

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _NEWPLAYER_H
#define _NEWPLAYER_H

#include <iostream.h>
#include <stdlib.h>
#include <unistd.h>
#include <malloc.h>
#include <string.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <stack>
#include <ncurses.h>
#include "xaudio.h"
#include "decoder.h"
#include "control.h"
#include "keys.h"

#ifndef __USE_GNU
#define __USE_GNU
#endif


#define newplayer_version "newplayer version 2.0" 
#define program_name "newplayer"

typedef enum
{
	PLAYING, PAUSE, IDLE
}State;

typedef enum
{
	CAN_SEEK, CANT_SEEK
}SeekState;

typedef enum
{
	FORWARD, BACKWARD
}Direction;

typedef enum
{
	ALPHA, RANDOM
}ListPlay;

#endif
